aboutsummaryrefslogtreecommitdiff
path: root/tests-mx32/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests-mx32/run.sh')
-rwxr-xr-xtests-mx32/run.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests-mx32/run.sh b/tests-mx32/run.sh
index d1b796ca..208aa0f9 100755
--- a/tests-mx32/run.sh
+++ b/tests-mx32/run.sh
@@ -9,4 +9,9 @@ TIMEOUT="timeout -k 5 -s XCPU $TIMEOUT_DURATION"
$TIMEOUT true > /dev/null 2>&1 ||
TIMEOUT=
-exec $TIMEOUT "$@"
+if [ $# -eq 0 ]; then
+ echo 'No command or test-file specified' >&2
+ exit 1
+fi
+
+exec $TIMEOUT "$@" < /dev/null